Bug 174123 - [UPDATE] some of the ports I maintain
Summary: [UPDATE] some of the ports I maintain
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-04 19:40 UTC by lichray
Modified: 2012-12-22 01:42 UTC (History)
0 users

See Also:


Attachments
artha-1.0.3.patch (1.48 KB, patch)
2012-12-04 19:40 UTC, lichray
no flags Details | Diff
py-png-0.0.13.patch (1.93 KB, patch)
2012-12-04 19:40 UTC, lichray
no flags Details | Diff
file.diff (838 bytes, patch)
2012-12-04 19:40 UTC, lichray
no flags Details | Diff
fcitx-hangul-0.2.0.patch (1.43 KB, patch)
2012-12-14 08:38 UTC, lichray
no flags Details | Diff
vym-2.2.4.patch (3.26 KB, patch)
2012-12-14 08:38 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-12-04 19:40:00 UTC

Fix: Index: www/py-flask-cache/Makefile
===================================================================
--- www/py-flask-cache/Makefile	(revision 308258)
+++ www/py-flask-cache/Makefile	(working copy)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	Flask-Cache
-PORTVERSION=	0.4.0
+PORTVERSION=	0.9.2
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -19,6 +19,7 @@
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Flask>=0.8:${PORTSDIR}/www/py-flask
 
 USE_PYTHON=	2.6+
-USE_PYDISTUTILS=easy_install
+USE_PYDISTUTILS=	easy_install
+PYDISTUTILS_PKGNAME=	Flask_Cache
 
 .include <bsd.port.mk>
Index: www/py-flask-cache/distinfo
===================================================================
--- www/py-flask-cache/distinfo	(revision 308258)
+++ www/py-flask-cache/distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (Flask-Cache-0.4.0.tar.gz) = 0bff8c89cd7913d4e0a85d13955dd7fdd80fb9e3ee44eb5cce923fc8db41f7a6
-SIZE (Flask-Cache-0.4.0.tar.gz) = 35723
+SHA256 (Flask-Cache-0.9.2.tar.gz) = 4bb88d50dee6237f9c386d55604adf4e0665eee68cca3bd934683fc0bfeaaf0a
+SIZE (Flask-Cache-0.9.2.tar.gz) = 40273
Index: www/py-flask-cache/pkg-plist
===================================================================
--- www/py-flask-cache/pkg-plist	(revision 308258)
+++ www/py-flask-cache/pkg-plist	(working copy)
@@ -1,20 +1,18 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/namespace_packages.txt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/cache/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/cache/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/cache/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/cache/backends.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/cache/backends.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/cache/backends.pyo
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext/cache
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flaskext
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/backends.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/backends.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/backends.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/jinja2ext.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/jinja2ext.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache/jinja2ext.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/flask_cache
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
--- py-flask-cache-0.9.2.patch ends here ---
How-To-Repeat: 	
	textproc/artha     1.0.2  -> 1.0.3
	www/py-flask-cache 0.4.0  -> 0.9.2
	graphics/py-png    0.0.12 -> 0.0.13
	x11/stjerm         0.15   -> 0.16

	Maybe someone can give a commit bit so I don't need to send a PR
	in a title like this one...
Comment 1 lichray 2012-12-14 08:38:24 UTC
Two more,

korean/fcitx-hangul 0.1.2 -> 0.2.0
deskutils/vym 2.0.12 -> 2.2.4 (stable)

--
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 2 Wen Heping freebsd_committer 2012-12-15 11:34:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 3 Wen Heping freebsd_committer 2012-12-22 01:42:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!